---

# wrapper script for messaging slack
- name: '📦 Install slack.sh wrapper script'
  ansible.builtin.template:
    src: "slack.sh.j2"
    dest: "/usr/local/bin/slack"
    mode: 0111 # only executable
  become: true

# send notification on successful ssh session
# https://www.damgeeks.ca/ssh-login-notifications-using-a-slack-app/
- name: '📦 Install slack_ssh_notify.sh wrapper script'
  ansible.builtin.template:
    src: "slack_ssh_notify.sh.j2"
    dest: "/usr/local/bin/slack_ssh_notify"
    mode: 0111

- name: '📝 Add pam_exec.so to /etc/pam.d/sshd'
  ansible.builtin.lineinfile:
    dest: "/etc/pam.d/sshd"
    line: "session optional pam_exec.so seteuid /usr/local/bin/slack_ssh_notify"

# send notification when security updates are available
# https://danielmiessler.com/blog/get-notified-ubuntu-box-security-updates/
- name: '📦 Install slack_security_updates_notify.sh wrapper script'
  ansible.builtin.template:
    src: "slack_security_updates_notify.sh.j2"
    dest: "/usr/local/bin/slack_security_updates_notify"
    mode: 0111

- name: '📝 Add cron job to notify about security updates'
  ansible.builtin.cron: name="slack security updates notify" minute="0" hour="0" job="/usr/local/bin/slack_security_updates_notify"

# send notification when there's a local root email
# https://medium.com/hackernoon/slack-hack-1-botify-servers-4783cf527981
